Package org.eclipse.jface.text.information

## Interface IInformationProviderExtension2

All Known Implementing Classes:
  `LineChangeHover`, `RevisionInformation`

    public interface IInformationProviderExtension2

Extends `IInformationProvider` with the ability to provide its own information presenter control creator.

Since:
  3.0
See Also:
  `IInformationControlCreator`, `IInformationProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`IInformationControlCreator` `getInformationPresenterControlCreator()` Returns the information control creator of this information provider.

### Method Detail

#### getInformationPresenterControlCreator

    IInformationControlCreator getInformationPresenterControlCreator()

Returns the information control creator of this information provider.

Returns:
  the information control creator or `null` if none is available